<?php

namespace Drupal\webform_remote_handlers\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\webform\Entity\WebformSubmission;

class RestRemoteHandlerMessageEvent extends Event {

  const EVENT_NAME = 'webform_remote_handlers.rest_message_event';

  /**
   * The message.
   *
   * @var string
   */
  protected $message;

  /**
   * The webform submission.
   *
   * @var \Drupal\webform\Entity\WebformSubmission
   */
  protected $webform_submission;

  /**
   * {@inheritdoc}
   *
   * @param \Drupal\webform\Entity\WebformSubmission $webform_submission
   * @param string $message
   */
  public function __construct($webform_submission, $message) {
    $this->message = $message;
    $this->webform_submission = $webform_submission;
  }

  /**
   * Set the message.
   *
   * @param string $message
   * @return void
   */
  public function setMessage($message) {
    $this->message = $message;
  }

  /**
   * Get the message.
   *
   * @return string
   */
  public function getMessage(): string {
    return $this->message;
  }

  /**
   * Get the webform submission.
   *
   * @return \Drupal\webform\Entity\WebformSubmission
   */
  public function getWebformSubmission(): WebformSubmission {
    return $this->webform_submission;
  }

}
